Any poduct that contains a logic circuit is classified as digital hardware. 
- Moore's Law states that the number of a transistors on a chip doubles every two years
	- The International Technology Roadmap for Semiconductors (ITRS) forecasts technology, including the number of transistors on a chip
- Multiple integrated circuits can be connected using a printed circuit board, or PCB.
- *Standard chips* conform to an agreed upon standard for functionality and physical configuration. They are usually less than 100 transistors in size, and provide basic building blocks for logic.
	- These chips are combined to form a larger logic circuit
	- They were popular until the 1980s
	- As ICs improved, it became inefficient space-wise to have separate chips for each logical building block
	- The functionality of these chips is fixed, and they do not change.
# Programmable Logic Devices
Programmable logic devices (PLDs) include a number of programmable switches that can configure the internal circuitry of a chip
- The most common type of PLD is a Field Programmable Gate Array (FPGA)
- FPGAs are widely available, but come with the drawback that they're limited in speed and performance

# Application Specific Integrated Circuits
Application Specific Integrated Circuits (ASICs) have higher maximum performance and transistor density compared to FPGAs, but the cost of production is very high.
- A logic circuit is made of connected logic gates

# Binary Numbers
In base 10, a value is expressed by an n-tuple with n digits
$$ D = d_{n-1}d_{n-2} \cdots d_1 d_0 $$
This represents the value
$$ V(D) = d_{n-1} * 10^{n-1} + d_{n - 2} * 10^{n-2} + \cdots + d_1 * 10^1 + d_0 * 10^0 $$

# Definitions
- **Xtor** is an abbreviation for *transistor*
- **Moore's Law** states that the number of transistors on a chip doubles every two years.
- A tuple is a finite and ordered list of things